Create Stablecoin Swap Pricing Profile
curl --request POST \
--url https://crypto.westminister.tech/api/v1/auth/swaps/pricing/profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"fee_bps": 500,
"min_fee": "0.00000000",
"max_fee": "<string>",
"effective_from": "2023-11-07T05:31:56Z",
"effective_to": "2023-11-07T05:31:56Z",
"is_active": true
}
'import requests
url = "https://crypto.westminister.tech/api/v1/auth/swaps/pricing/profiles"
payload = {
"name": "<string>",
"fee_bps": 500,
"min_fee": "0.00000000",
"max_fee": "<string>",
"effective_from": "2023-11-07T05:31:56Z",
"effective_to": "2023-11-07T05:31:56Z",
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
fee_bps: 500,
min_fee: '0.00000000',
max_fee: '<string>',
effective_from: '2023-11-07T05:31:56Z',
effective_to: '2023-11-07T05:31:56Z',
is_active: true
})
};
fetch('https://crypto.westminister.tech/api/v1/auth/swaps/pricing/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pricing_profile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"network": "<string>",
"from_asset": "<string>",
"to_asset": "<string>",
"fee_bps": 123,
"min_fee": "<string>",
"max_fee": "<string>",
"is_active": true,
"effective_from": "2023-11-07T05:31:56Z",
"effective_to": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Stablecoin Swaps
Create Stablecoin Swap Pricing Profile
Creates a database-managed directional fee profile. Activating it deactivates the previous profile for the same network and pair.
POST
/
api
/
v1
/
auth
/
swaps
/
pricing
/
profiles
Create Stablecoin Swap Pricing Profile
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Maximum string length:
128Available options:
tron, ethereum, solana Available options:
USDT, USDC Available options:
USDT, USDC Required range:
0 <= x <= 1000Response
Pricing profile created
Show child attributes
Show child attributes
⌘I